# calculates arithmetic or harmonic mean of alpha between two cells
function calcAlphaIntercell(alpha1::T, alpha2::T, useHarmonic::Bool = true)::T where {T<:Number}
    if useHarmonic
        operand1::T = alpha1 == 0 ? 0 : 1 / alpha1
        operand2::T = alpha2 == 0 ? 0 : 1 / alpha2

        denom::T = operand1 + operand2
        return denom == 0 ? 0 : 2 / denom
    else
        return 0.5 * (alpha1 + alpha2)
    end
end
